Download and install

This page covers the necessary steps to install nitime. Below is a list of required dependencies, and some additional recommended software, which are dependencies for some particular functionality.


Must Have

Nitime supports Python 2.7 and 3.3/3.4/3.5, requiring also reasonably recent versions of NumPy and SciPy, as well as Matplotlib (In particular, Nitime makes use of the matplotlib.mlab module for some implementation of numerical algorithms)

Getting the latest release

Using the standard pip installation mechanism, you can install nitime by issuing the following command in your terminal:

pip install nitime

The source code of the latest release is also available to download at the cheeseshop, or in our Github repo release page

If you want to download the source-code as it is being developed (pre-release), follow the instructions here: Following the latest source

Or, if you just want to look at the current development, without using our source version-control system, you can download it directly here

You can also install nitime using conda, by issuing the following commands:

conda config --add channels conda-forge
conda install nitime

Building from source

The installation process is similar to other Python packages so it will be familiar if you have Python experience. In addition to the previously mentioned dependencies, you will need to have cython installed

Unpack the tarball and change into the source directory. Once in the source directory, you can build nitime using:

python install


sudo python install